Loading...
Searching...
No Matches
caf::detail::tl_count_type< List, T > Struct Template Reference

Counts the number of elements in the list which are equal to T. More...

`#include <type_list.hpp>`

## Static Public Attributes

static constexpr size_t | value

## Detailed Description

template<class List, class T>
struct caf::detail::tl_count_type< List, T >

Counts the number of elements in the list which are equal to T.

## Member Data Documentation

## value

template<class List, class T>

size_t caf::detail::tl_count_type< List, T >::value

static constexpr

Initial value:
=
(std::is_same<tl_head_t<List>, T>::value ? 1 : 0)
+ tl_count_type<tl_tail_t<List>, T>::value
caf::detail::tl_count_type
Counts the number of elements in the list which are equal to T.
Definition type_list.hpp:547

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp